aboutsummaryrefslogtreecommitdiffstats
path: root/benchmarks/polybench-syn
diff options
context:
space:
mode:
authorMichalis Pardalos <m.pardalos@gmail.com>2021-03-01 11:43:19 +0000
committerMichalis Pardalos <m.pardalos@gmail.com>2021-03-01 11:43:19 +0000
commit90a2c07c87fc3e570a5a92e34b297578e963948a (patch)
tree6c3ed9b42cd259da301e8b2016bfe94612929322 /benchmarks/polybench-syn
parent0ff221900df65343c01738660f820fe05eb098a7 (diff)
downloadvericert-90a2c07c87fc3e570a5a92e34b297578e963948a.tar.gz
vericert-90a2c07c87fc3e570a5a92e34b297578e963948a.zip
Polybench runner report iverilog, vericert failure
Diffstat (limited to 'benchmarks/polybench-syn')
-rwxr-xr-xbenchmarks/polybench-syn/run-vericert.sh11
1 files changed, 10 insertions, 1 deletions
diff --git a/benchmarks/polybench-syn/run-vericert.sh b/benchmarks/polybench-syn/run-vericert.sh
index 6ac5cde..bf3e850 100755
--- a/benchmarks/polybench-syn/run-vericert.sh
+++ b/benchmarks/polybench-syn/run-vericert.sh
@@ -7,8 +7,9 @@ while read -r benchmark ; do
./"$benchmark".o > "$benchmark".clog
cresult="$(cut -d' ' -f2 "$benchmark".clog)"
echo "C output: $cresult"
- { time ../../bin/vericert -DSYNTHESIS $@ --debug-hls "$benchmark".c -o "$benchmark".v ; } 2> "$benchmark".comp
+ { time ../../bin/vericert -DSYNTHESIS $@ --debug-hls "$benchmark".c -o "$benchmark".v ; vericert_result=$? ; } 2> "$benchmark".comp
iverilog -o "$benchmark".iver -- "$benchmark".v
+ iverilog_result=$?
timeout 1m ./"$benchmark".iver > "$benchmark".tmp
if [ $? -eq 124 ]; then
@@ -23,6 +24,14 @@ while read -r benchmark ; do
if [ -n "$timeout" ]; then
echo "FAIL: Verilog timed out"
result="timeout"
+ elif [ "$vericert_result" -ne 0 ]; then
+ #Undefined
+ echo "FAIL: Vericert failed"
+ result="compile error"
+ elif [ "$iverilog_result" -ne 0 ]; then
+ #Undefined
+ echo "FAIL: iverilog failed"
+ result="elaboration error"
elif [ -z "$veriresult" ]; then
#Undefined
echo "FAIL: Verilog returned nothing"